%define rev git20151010

Summary:	UML 2 tool box to specify and generate code in C++, Java, IDL, PHP and Python
Name:		douml
Version:	1.0
Release:	%mkrel -c %{rev} 6
License:	GPLv3
Group:		Development/Other
URL:		https://github.com/DoUML/douml
#https://github.com/DoUML/douml/archive/master.zip
Source0:	%{name}-%{version}-%{rev}.zip
#https://github.com/DoUML/douml/issues/81
Patch0:		%{name}-%{version}-mga-doc-path-fix.patch
#https://github.com/DoUML/douml/issues/83
Patch1:		%{name}-%{version}-mga-override-transition.patch
#https://github.com/DoUML/douml/issues/125
Patch2:		%{name}-%{version}-mga-i18n-desktop.patch
#https://github.com/DoUML/douml/issues/126
Patch3:		%{name}-%{version}-mga-exec-desktop.patch
Patch4:		%{name}-%{version}-mga-categories.patch
Patch5:		%{name}-%{version}-mga-documentation.patch
BuildRequires:	gcc-c++
BuildRequires:	boost-devel
BuildRequires:	qt5-devel
Requires:	xdg-utils
Recommends:	bouml-doc
Provides:	bouml = %{version}

%description
DoUML is a free Unified Modeling Language (UML 2) tool box allowing you
to specify and generate code in C++, Java, Idl, Php and Python.
You can use it to create nearly all of UML diagrams.
DoUML can generate code from those diagrams in
C++, Java, IDL, PHP and Python, and can also reverse existing code.

The program supports class diagrams, sequence diagrams, collaboration diagrams,
object diagrams, use case diagrams, component diagrams, state diagrams,
activity diagrams, component diagrams and deployment diagrams.

%prep
%setup -q -n %{name}-%{version}-%{rev}
%autopatch -p1

%build
%make DOUML_LIB=%{_libdir}/%{name} QMAKE=%{_qt5_bindir}/qmake

%install
%make_install DOUML_LIB=%{_libdir}/%{name}
#disable warning when starting
touch %{buildroot}%{_libdir}/%{name}/override_transition.txt

%files
%doc README.*
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Feb 14 2016 umeabot <umeabot> 1.0-0.git20151010.6.mga6
+ Revision: 959848
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 alexl <alexl> 1.0-0.git20151010.5.mga6
+ Revision: 897986
- git snapshot since 20151010
- s/makeinstall_std/make_install/

* Sat Jul 04 2015 alexl <alexl> 1.0-0.git20150704.4.mga6
+ Revision: 849894
- git snapshot since 20150704
- switch to qt5
- add info about bouml-doc pkg

* Sat Nov 29 2014 alexl <alexl> 1.0-0.git20140529.3.mga5
+ Revision: 799872
- corrected Categories in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1.0-0.git20140529.2.mga5
+ Revision: 745079
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 alexl <alexl> 1.0-0.git20140529.1.mga5
+ Revision: 695811
- the latest snapshot from git
- moved patches, which were applied by author

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Aug 01 2014 alexl <alexl> 1.0-0.git20140201.4.mga5
+ Revision: 659007
- fixed Exec for desktop file (exec-desktop.patch)

* Thu Jul 31 2014 alexl <alexl> 1.0-0.git20140201.3.mga5
+ Revision: 658789
- translated desktop file (i18n-desktop.patch)

* Wed Jul 23 2014 alexl <alexl> 1.0-0.git20140201.2.mga5
+ Revision: 655944
- fixed upstream bug with finding override_transition.txt and disabled warning when starting

* Thu May 22 2014 alexl <alexl> 1.0-0.git20140201.1.mga5
+ Revision: 624836
- add gcc4.9.patch
- enable parallel build
- imported package douml

